SIMON_Base< W > Struct Template Reference

SIMON block cipher base class. More...

## Public Types

typedef SecBlock< W, AllocatorWithCleanup< W, true > > | AlignedSecBlock

## Public Attributes

AlignedSecBlock | m_wspace
AlignedSecBlock | m_rkeys
unsigned int | m_kwords
unsigned int | m_rounds

## Detailed Description

### template<class W>
struct SIMON_Base< W >

SIMON block cipher base class.

Template Parameters

  W | the word type

User code should use SIMON64 or SIMON128

See also
  SIMON64, SIMON128, SIMON on the Crypto++ wiki

Since
  Crypto++ 6.0

Definition at line 62 of file simon.h.

The documentation for this struct was generated from the following file:

- simon.h